package com.community.pocket.api.web;

import com.community.pocket.entity.po.android.MyInfo;
import com.community.pocket.entity.vo.Page;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.android.QueryUserForm;
import com.community.pocket.entity.vo.web.EditScore;
import com.community.pocket.entity.vo.web.UserResponse;
import com.community.pocket.repository.android.UserDao;
import com.community.pocket.util.BeanUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * web用户接口
 */
@RestController(BeanUtil.userName)
public class UserController {

    @Autowired
    private UserDao userDao;

    //查询用户信息
    @GetMapping("/api/users")
    public UserResponse loadAll(QueryUserForm queryUserForm) {
        Page<MyInfo> infos = userDao.loadAll(queryUserForm);
        UserResponse response = new UserResponse(Result.OK, UserResponse.Msg.ok);
        response.setMyInfos(infos);
        return response;
    }

    //修改信用分
    @PostMapping("/api/users/score")
    public UserResponse editScore(@RequestBody EditScore editScore) {
        if (userDao.updateScore(editScore)) {
            return new UserResponse(Result.OK, UserResponse.Msg.edit_ok);
        } else {
            return new UserResponse(Result.FAIL, UserResponse.Msg.edit_fail);
        }
    }
}
