package com.community.pocket.api.web;

import com.community.pocket.entity.po.Visitor;
import com.community.pocket.entity.vo.Page;
import com.community.pocket.entity.vo.Result;
import com.community.pocket.entity.vo.web.VisitorForm;
import com.community.pocket.entity.vo.web.VisitorQuery;
import com.community.pocket.entity.vo.web.VisitorResponse;
import com.community.pocket.repository.android.VisitorDao;
import com.community.pocket.util.BeanUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

//访客预约管理
@RestController(BeanUtil.visitorName)
public class VisitorController {

    @Autowired
    private VisitorDao visitorDao;

    //加载访客信息
    @GetMapping("/api/visitor")
    public VisitorResponse loadAll(VisitorQuery visitorQuery) {
        Page<Visitor> visitorList = visitorDao.loadAllVisitor(visitorQuery);
        VisitorResponse visitorResponse = new VisitorResponse(Result.OK, VisitorResponse.Msg.ok);
        visitorResponse.setVisitorList(visitorList);
        return visitorResponse;
    }

    //访客预约放行
    @PostMapping("/api/visitor")
    public VisitorResponse update(@RequestBody VisitorForm visitorForm) {
        if (visitorDao.updateVisitor(visitorForm)) {
            return new VisitorResponse(Result.OK, VisitorResponse.Msg.check_ok);
        } else {
            return new VisitorResponse(Result.FAIL, VisitorResponse.Msg.check_fail);
        }
    }
}
