package com.community.pocket.entity.po;

import com.community.pocket.entity.po.android.MyInfo;
import com.community.pocket.util.TableName;
import org.springframework.data.mongodb.core.mapping.Document;

//论坛贴
@Document(TableName.forum)
public class Forum {

    private String id;
    //发帖时间
    private Long time;
    //帖子标题
    private String title;
    //回复数
    private Integer reply;
    //帖子类型
    private ForumType forumType;
    //缩略内容
    private String content;
    //审核状态
    private ForumStatus status;

    /**
     * 审核状态
     */
    public enum ForumStatus {
        uncheck,
        ok,
        fail
    }

    private MyInfo myInfo;

    /**
     * 帖子类型
     */
    public enum ForumType {
        active,
        topic,
        complan,
        score
    }

    //发帖人
    private String username;

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public ForumType getForumType() {
        return forumType;
    }

    public void setForumType(ForumType forumType) {
        this.forumType = forumType;
    }

    public Integer getReply() {
        return reply;
    }

    public void setReply(Integer reply) {
        this.reply = reply;
    }

    public MyInfo getMyInfo() {
        return myInfo;
    }

    public void setMyInfo(MyInfo myInfo) {
        this.myInfo = myInfo;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public ForumStatus getStatus() {
        return status;
    }

    public void setStatus(ForumStatus status) {
        this.status = status;
    }
}
