package com.community.pocket.entity.vo;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 读取邮箱配置
 */
@Component
@ConfigurationProperties("email")
public class EmailTypeConfig {

    //发件地址
    private String from;

    //发件人
    private String subject;

    //验证码长度
    @Value("${email.code.length}")
    private Integer length;

    //管理员注册验证信息
    @Value("${email.code.manager}")
    private String managerCodeMessage;

    //用户重置密码信息
    @Value("${email.code.user}")
    private String userCodeMessage;

    public String getManagerCodeMessage() {
        return managerCodeMessage;
    }

    public void setManagerCodeMessage(String managerCodeMessage) {
        this.managerCodeMessage = managerCodeMessage;
    }

    public String getUserCodeMessage() {
        return userCodeMessage;
    }

    public void setUserCodeMessage(String userCodeMessage) {
        this.userCodeMessage = userCodeMessage;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Integer getLength() {
        return length;
    }

    public void setLength(Integer length) {
        this.length = length;
    }

    //支持邮箱类型
    private List<EmailType> supportType;

    public List<EmailType> getSupportType() {
        return supportType;
    }

    public void setSupportType(List<EmailType> supportType) {
        this.supportType = supportType;
    }
}
