package com.community.pocket.entity.vo;

import java.util.List;

//分页数据
public class Page<T> {
    //总记录数
    private final Long count;
    //总页数
    private final Long totalPage;
    //当前页数
    private Long currentPage;
    //数据集合
    private List<T> list;
    //分页大小
    private final Integer pageSize;

    public Page(Long count, Long currentPage, Integer pageSize) {
        this.count = count;
        this.currentPage = currentPage;
        this.pageSize = pageSize;
        this.totalPage = count % pageSize == 0 ? count / pageSize : count / pageSize + 1;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public Long getCount() {
        return count;
    }

    public Long getTotalPage() {
        return totalPage;
    }

    public Long getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Long currentPage) {
        this.currentPage = currentPage;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public boolean isEmpty() {
        return this.count == 0;
    }
}
