package com.community.pocket.entity.vo;

import com.community.pocket.entity.vo.android.CustomMessage;

/**
 * 接口响应体
 *
 * @param <T>
 */
public abstract class Response<T extends CustomMessage> {

    //操作结果
    private Result result;

    private T message;

    private Object[] args;

    public Response(Result result, T message, Object... args) {
        this.result = result;
        this.message = message;
        this.args = args;
    }

    public Object[] getArgs() {
        return args;
    }

    public void setArgs(Object[] args) {
        this.args = args;
    }

    public Result getResult() {
        return result;
    }

    public void setResult(Result result) {
        this.result = result;
    }

    public T getMessage() {
        return message;
    }

    public void setMessage(T message) {
        this.message = message;
    }
}
