package com.community.pocket.repository;

import com.community.pocket.entity.po.ManagerToken;
import com.community.pocket.entity.vo.web.ManagerLogout;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

/**
 * 管理员令牌
 */
@Repository
public class ManagerTokenDao extends BaseDao<ManagerToken> {

    private static final Logger LOG = LoggerFactory.getLogger(ManagerTokenDao.class);

    @Override
    public ManagerToken save(ManagerToken managerToken) {
        try {
            return mongoTemplate.save(managerToken);
        } catch (Exception e) {
            e.printStackTrace();
            LOG.error(e.toString());
        }
        return null;
    }

    //注销
    public boolean logout(ManagerLogout managerLogout) {
        return mongoTemplate.remove(new Query(Criteria.where("managerName").is(managerLogout.getManagerName())), entityClass()).wasAcknowledged();
    }

    @Override
    public Class<ManagerToken> entityClass() {
        return ManagerToken.class;
    }
}
