package com.community.pocket.repository.android;

import com.community.pocket.entity.po.Forum;
import com.community.pocket.entity.po.android.Active;
import com.community.pocket.entity.vo.android.ActiveVo;
import com.community.pocket.repository.BaseDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

//活动贴数据接口
@Repository
public class ActiveDao extends BaseDao<Active>{

    private static final Logger LOG = LoggerFactory.getLogger(ForumDao.class);

    //保存活动贴
    public Active save(ActiveVo activeVo, Forum forum) {
        Active active = new Active();
        active.setId(forum.getId());
        active.setRegistrationDeadline(activeVo.getRegistrationDeadline());
        active.setActiveStartTime(activeVo.getActiveStartTime());
        active.setActiveEndTime(activeVo.getActiveEndTime());
        active.setActiveScore(activeVo.getActiveScore());
        return save(active);
    }

    @Override
    public Active save(Active active) {
        try {
            return mongoTemplate.save(active);
        } catch (Exception e) {
            e.printStackTrace();
            LOG.error(e.toString());
        }
        return null;
    }

    @Override
    public Class<Active> entityClass() {
        return Active.class;
    }
}