package com.community.pocket.repository.android;

import com.community.pocket.entity.po.Forum;
import com.community.pocket.entity.po.android.Complain;
import com.community.pocket.entity.vo.android.ComplainVo;
import com.community.pocket.repository.BaseDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

/**
 * 投诉人保存
 */
@Repository
public class ComplainDao extends BaseDao<Complain> {
    private static final Logger LOG = LoggerFactory.getLogger(ComplainDao.class);

    //保存投诉贴
    public Complain save(ComplainVo complainVo, Forum forum) {
        Complain complain = Complain.getInstance();
        complain.setComplain(complainVo.getComplain());
        complain.setId(forum.getId());
        return save(complain);
    }

    @Override
    public Complain save(Complain complain) {
        try {
            return mongoTemplate.save(complain);
        } catch (Exception e) {
            e.printStackTrace();
            LOG.error(e.toString());
        }
        return null;
    }

    @Override
    public Class<Complain> entityClass() {
        return Complain.class;
    }
}
