package com.community.pocket.repository.android;

import com.community.pocket.entity.po.android.Garbage;
import com.community.pocket.entity.vo.android.QueryGarbageForm;
import com.community.pocket.repository.BaseDao;
import com.community.pocket.util.MessageService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.regex.Pattern;

//垃圾分类数据接口
@Repository
public class GarbageDao extends BaseDao<Garbage> {
    private static final Logger LOG = LoggerFactory.getLogger(GarbageDao.class);

    @Autowired
    private MessageService messageService;

    //查询垃圾分类信息
    public List<Garbage> query(QueryGarbageForm garbageForm) {
        return mongoTemplate.find(new Query(new Criteria()
                .orOperator(Criteria.where("englishName").regex(Pattern.compile(".*" + garbageForm.getName())),
                        Criteria.where("name").regex(Pattern.compile(".*" + garbageForm.getName() + ".*")))), entityClass());
    }

    @Override
    public Garbage save(Garbage garbage) {
        try {
            mongoTemplate.save(garbage);
        } catch (Exception e) {
            e.printStackTrace();
            LOG.error(e.toString());
        }
        return null;
    }

    @Override
    public Class<Garbage> entityClass() {
        return Garbage.class;
    }
}
