package com.community.pocket.repository.android;

import com.community.pocket.entity.po.android.GarbageWasteManage;
import com.community.pocket.entity.po.android.GarbageWastePrice;
import com.community.pocket.repository.BaseDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class GarbagePriceDao extends BaseDao<GarbageWastePrice> {

    private static final Logger LOG = LoggerFactory.getLogger(GarbagePriceDao.class);

    @Value("${waste.manage.name}")
    private String name;

    @Value("${waste.manage.mobie}")
    private String mobie;

    //查询废品数据
    public List<GarbageWastePrice> query(String name) {
        return mongoTemplate.find(new Query(Criteria.where("name").regex(".*" + name + ".*")), entityClass());
    }

    //查询废品管理员信息
    public GarbageWasteManage queryManager() {
        GarbageWasteManage manage = new GarbageWasteManage();
        manage.setMobie(mobie);
        manage.setName(name);
        return manage;
    }

    @Override
    public GarbageWastePrice save(GarbageWastePrice garbageWastePrice) {
        try {
            return mongoTemplate.save(garbageWastePrice);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public Class<GarbageWastePrice> entityClass() {
        return GarbageWastePrice.class;
    }
}
