package com.community.pocket.repository.android;

import com.community.pocket.entity.po.Forum;
import com.community.pocket.entity.po.android.Score;
import com.community.pocket.entity.vo.android.ForumScoreVo;
import com.community.pocket.repository.BaseDao;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

@Repository
public class ScoreDao extends BaseDao<Score> {

    private static final Logger LOG = LoggerFactory.getLogger(ScoreDao.class);

    //保存结算贴
    public Score save(ForumScoreVo scoreVo, Forum forum) {
        Score score = new Score();
        score.setId(forum.getId());
        score.setActiveScore(scoreVo.getActiveScore());
        return save(score);
    }

    @Override
    public Score save(Score score) {
        try {
            return mongoTemplate.save(score);
        } catch (Exception e) {
            e.printStackTrace();
            LOG.error(e.toString());
        }
        return null;
    }

    @Override
    public Class<Score> entityClass() {
        return Score.class;
    }
}
