package com.community.pocket.repository.android;

import com.community.pocket.entity.po.android.Token;
import com.community.pocket.entity.vo.Response;
import com.community.pocket.entity.vo.android.CustomMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 令牌校验
 */
@Service
public class TokenService {

    @Autowired
    private TokenDao tokenDao;

    public <T extends Response<F>, E extends Token, F extends CustomMessage> T checkToken(E e, DoCheck<T, E> doCheck) {
        if (tokenDao.checkToken(e)) {
            return doCheck.ok(e);
        } else {
            return doCheck.fail();
        }
    }
}
