package com.community.pocket.util;

import com.community.pocket.entity.vo.android.CustomMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.MessageSource;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.stereotype.Service;

/**
 * 国际化配置
 */
@Service
public class MessageService {

    @Autowired
    private MessageSource messageSource;

    public <T extends CustomMessage> String getMessage(T code, Object... args) {
        return messageSource.getMessage(code.toString(), args, LocaleContextHolder.getLocale());
    }
}
