package com.community.pocket;

import com.community.pocket.entity.po.android.Token;
import com.community.pocket.repository.BaseDao;
import com.community.pocket.util.LookupOperationUtil;
import org.apache.commons.lang3.RandomUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.data.mongodb.core.query.Update;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.concurrent.TimeUnit;

//测试令牌
@Repository
public class TestTokenDao extends BaseDao<Token> {

    @Value("${token.day}")
    private int day;

    public Token loadToken() {
        List<Token> tokenList = mongoTemplate.findAll(entityClass());
        Token token = tokenList.get(RandomUtils.nextInt(0, tokenList.size() - 1));
        mongoTemplate.updateFirst(new Query(Criteria.where(LookupOperationUtil.idKey).is(token.getToken())), Update.update("time", System.currentTimeMillis() + TimeUnit.DAYS.toMillis(day)), entityClass());
        return mongoTemplate.findById(token.getToken(), entityClass());
    }

    @Override
    public Token save(Token token) {
        return null;
    }

    @Override
    public Class<Token> entityClass() {
        return Token.class;
    }
}
